Bug 28702 - Пересобрать с wxGTK-2:2.8.11.0-alt1.svn20100628.6
: Пересобрать с wxGTK-2:2.8.11.0-alt1.svn20100628.6
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-wx)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
: 28734
:
  Show dependency tree
 
Reported: 2013-03-18 12:50 by
Modified: 2013-04-06 23:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-03-18 12:50:48
Из-за --enable-graphics_ctx: 
http://bugzilla.altlinux.org/27460#c15

Или, если возможно, с wxGTK2.9: http://bugzilla.altlinux.org/27460#c3
И в t6 сразу.
------- Comment #1 From 2013-03-18 13:43:57 -------
С wxGTK2.9 - это python-module-wx2.9.
------- Comment #2 From 2013-03-21 12:05:54 -------
Догнал меня этот баг. :-)

--enable-graphics_ctx в wxGTK пересборки не потребовал, а вот замена
libgnomeprintui на libgtk+2 без последствий не прошла...
------- Comment #3 From 2013-03-21 12:18:55 -------
Выходит, надо внимательно просмотреть выхлоп configure, чтобы понять, чего ему
не хватило.
------- Comment #4 From 2013-03-21 15:47:52 -------
Хотел написать, что имел виду, что требуется пересборка, но пересборка,
действительно, не прошла:

src/gtk/_misc_wrap.cpp: In function 'void init_misc_()':
src/gtk/_misc_wrap.cpp:42067:97: error: 'wxSYS_COLOUR_LISTBOXHIGHLIGHTTEXT' was
not declared in this scope

Причём, он просто не пересобирается сам по себе. И, очевидно, давно, так как не
пересобирается и в p6, где wxGTK не трогали.
------- Comment #5 From 2013-03-21 19:24:59 -------
Так. Стоп. Это я по сторонам не посмотрел. Взял
real/packages/python-module-wx.git, а там же
последний - 2.8.12.1-alt1.svn20110725.

Всё нормально пересобралось, дело осталось за пересборкой wxMaxima в составе
задания 92849. Там ACL oddity @qa.
------- Comment #6 From 2013-03-21 19:40:32 -------
(В ответ на комментарий №5)
> Всё нормально пересобралось, дело осталось за пересборкой wxMaxima в составе
> задания 92849. Там ACL oddity @qa.
Если что, готовьте NMU.
------- Comment #7 From 2013-03-22 14:28:05 -------
Хм. А python-module-wx на на nobody оказывается:

girar-check-perms: access to python-module-wx DENIED for asy: does not belong
to approved builders list: @python lav mike
------- Comment #8 From 2013-03-22 14:29:56 -------
Сделал approve, можно заливать.
------- Comment #9 From 2013-03-22 15:04:43 -------
python-module-wx-2.8.11.0-alt2.svn20100628.2 -> sisyphus:

* Thu Mar 21 2013 Sergey Y. Afonin <asy@altlinux> 2.8.11.0-alt2.svn20100628.2
- Rebuilt with wxGTK 2.8.11.0-alt1.svn20100628.7 (ALT #28702)
------- Comment #10 From 2013-04-06 23:29:17 -------
2Vasyĺ V. Vercynśkyj: пересборки в Сизифе достаточно, или надо в бранчи
собрать тоже ?